Intersection of Arc and Line

Discussion in 'AutoCAD' started by Greg McLandsborough, Nov 17, 2004.

  1. Does anyone know how to calculate the intersection of an Arc and a Line,
    Inters only works with 4 points

    Cheers

    Greg
     
    Greg McLandsborough, Nov 17, 2004
    #1
  2. Greg McLandsborough

    LUCAS Guest

    IntersectWith method

    Signature

    RetVal = object.IntersectWith(IntersectObject, ExtendOption)
     
    LUCAS, Nov 17, 2004
    #2
  3. Stupid question, how do I make this happen with Lisp?
     
    Greg McLandsborough, Nov 17, 2004
    #3
  4. Greg McLandsborough

    LUCAS Guest

    (defun C:TT (/ PT_LST)
    (setq PT_LST (vlax-safearray->list
    (vlax-variant-value
    (vla-intersectwith
    (vlax-ename->vla-object
    (car (entsel "\nfirst object: "))
    )
    (vlax-ename->vla-object
    (car (entsel "\nSecond object: "))
    )
    acextendnone ;Does not extend either object.
    )
    )
    )
    )
    (if PT_LST
    (XL-DIV PT_LST 3)
    )
    )

    (defun XL-DIV (LST X / LST1 LST2)
    (while LST
    (setq LST1 NIL)
    (repeat X
    (setq LST1 (append LST1 (list (car LST))))
    (setq LST (cdr LST))
    )
    (setq LST2 (cons LST1 LST2))
    )
    )
     
    LUCAS, Nov 17, 2004
    #4
  5. Greg McLandsborough

    LUCAS Guest

    ;;REPOST
    (defun C:TT (/ PT_LST IPTS)
    (setq IPTS (vlax-variant-value
    (vla-intersectwith
    (vlax-ename->vla-object
    (car (entsel "\nfirst object: "))
    )
    (vlax-ename->vla-object
    (car (entsel "\nSecond object: "))
    )
    acextendnone ;Does not extend either object.
    )
    )
    )
    (if (> (vlax-safearray-get-u-bound IPTS 1) 0)
    (progn
    (setq PT_LST (vlax-safearray->list IPTS))
    (XL-DIV PT_LST 3)
    )
    )
    )
     
    LUCAS, Nov 17, 2004
    #5
  6. Thank You


     
    Greg McLandsborough, Nov 17, 2004
    #6
  7. Greg McLandsborough

    Jürg Menzi Guest

    Hi Greg

    Visit my homepage -> Free Stuff and search for 'VxGetInters'.

    Cheers
     
    Jürg Menzi, Nov 17, 2004
    #7
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.